//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace VakifDataTransferNew.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class OffTime
    {
        public System.Guid Id { get; set; }
        public System.Guid OriginId { get; set; }
        public string CreatedBy { get; set; }
        public System.DateTime CreatedDate { get; set; }
        public string ModifiedBy { get; set; }
        public Nullable<System.DateTime> ModifiedDate { get; set; }
        public bool IsActive { get; set; }
        public System.Guid OffTimeTypeId { get; set; }
        public Nullable<System.Guid> OrganisationId { get; set; }
        public Nullable<System.Guid> JobInformationId { get; set; }
        public Nullable<System.Guid> MembershipId { get; set; }
        public Nullable<System.Guid> MembershipServiceId { get; set; }
        public System.DateTime BeginDate { get; set; }
        public System.DateTime EndDate { get; set; }
        public string Note { get; set; }
    
        public virtual JobInformation JobInformation { get; set; }
        public virtual Membership Membership { get; set; }
        public virtual OffTimeType OffTimeType { get; set; }
        public virtual Organisation Organisation { get; set; }
        public virtual MembershipService MembershipService { get; set; }
    }
}
